﻿using System.Collections.Generic;
using System.Web.Mvc;
using Nop.Web.Framework;
using Nop.Web.Framework.Mvc;

namespace Nop.Plugin.Widgets.SpreadButton.Models
{
    public class ConfigurationModel : BaseNopModel
    {
        public ConfigurationModel()
        {
            AvailableZones = new List<SelectListItem>();
        }

        [NopResourceDisplayName("Admin.ContentManagement.Widgets.ChooseZone")]
        public string ZoneId { get; set; }
        public IList<SelectListItem> AvailableZones { get; set; }


        [NopResourceDisplayName("Plugins.Widgets.SpreadButton.PublicApiKey")]
        [AllowHtml]
        public string PublicApiKey { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.SpreadButton.PrivateApiKey")]
        [AllowHtml]
        public string PrivateApiKey { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.SpreadButton.TrackingScript")]
        [AllowHtml]
        //tracking code
        public string TrackingScript { get; set; }


    }
}